Create OpenID Connect App Details
Updates details of existing OpenID Connect app
- application/json
Request Body
- name string required
OpenID Connect app name
- type string required
Possible values: [
OPENIDCONNECT]Third-party app type (must be OPENIDCONNECT)
- description string
OpenID Connect app description
associations object
companies object[]
Companies associated with SAML app
id int32name stringdomains object[]
Domains associated with SAML app
id int32name stringuserGroups object[]
user groups associated with SAML app
id int32name stringusers object[]
users associated with SAML app
id int32name stringidentityProviderMetaData object required
OpenId Connect IDP meta data request
clientId stringIdentity provider client ID
discoveryEndpointUrl stringIdentity provider discovery endpoint URL
clientSecret stringIdentity provider client secret
Responses
- 200
- 400
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
- appKey string
{
"errorMessage": "string",
"errorCode": 0,
"appKey": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...